Bug 220926 - Review Request: ingo - The Horde email filter manager
Review Request: ingo - The Horde email filter manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-Net-Sieve
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-28 17:28 EST by Brandon Holbrook
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-27 11:08:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2006-12-28 17:28:49 EST
Spec URL: http://theholbrooks.org/RPMS/ingo.spec
SRPM URL: http://theholbrooks.org/RPMS/ingo-1.1.2-1.src.rpm
Description:

Ingo, the "Email Filter Rules Manager", started as a frontend for the Sieve
filter language, and is now a generic and complete filter rule frontend that
currently is able to create Sieve, procmail, and IMAP filter rules. The IMAP
filter driver translates the filter rules on demand to IMAP commands, executed
via PHP's IMAP extension and has replaced IMP's internal filtering code. It is
now the default filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with ingo)
please visit http://www.horde.org/.
Comment 1 Jason Tibbitts 2006-12-29 22:12:42 EST
As with the Kronolith package, I needed to remove "tarballs/" from the
Source URL in order to download the source.

Also like the Turba package, this package has an incorrect license.
I believe this one should also be "Apache Software License v1".

It doesn't look like anyone has packaged up the Net_Sieve module, which limits
the utility of Ingo a bit.  

As usual for these Horde-based packages, there are a number of acceptable
rpmlint complaints:
E: ingo htaccess-file /usr/share/horde/ingo/scripts/.htaccess
E: ingo non-readable /etc/horde/ingo/backends.php 0660
  [six more]
E: ingo non-standard-dir-perm /etc/horde/ingo 0770
E: ingo non-standard-gid /etc/horde/ingo apache
  [seven more]
E: ingo non-standard-uid /etc/horde/ingo apache
  [seven more]
W: ingo conffile-without-noreplace-flag /etc/horde/ingo/backends.php.dist
  [three more]

Review:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only ignoreable complaints.
* final provides and requires are sane:
   config(ingo) = 1.1.2-1.fc7
   ingo = 1.1.2-1.fc7
  =
   config(ingo) = 1.1.2-1.fc7
   horde >= 3
   php >= 4.3.0
* %check is not present; no test suite upstream.  Things seem OK after manual
  testing.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* locales are handle appropriately.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Brandon Holbrook 2006-12-30 01:21:13 EST
Spec URL: http://theholbrooks.org/RPMS/ingo.spec
SRPM URL: http://theholbrooks.org/RPMS/ingo-1.1.2-2.src.rpm

Added a requirement on php-pear(Net_Sieve) (bug 220999), fixed the download URL,
and changed the license.
Comment 3 Brandon Holbrook 2006-12-30 02:09:45 EST
Spec URL: http://theholbrooks.org/RPMS/ingo.spec
SRPM URL: http://theholbrooks.org/RPMS/ingo-1.1.2-3.src.rpm

Found and fixed a bug (that also exists in imp :( ) in prefs.php where the web
was trying to access something under /etc/horde and dying
Comment 4 Jason Tibbitts 2007-01-25 23:34:03 EST
Wow, have I really forgotten about this for four weeks? 

In any case, I'm now using this package everything seems just fine.  The issues
I found earlier have been fixed.

APPROVED
Comment 5 Brandon Holbrook 2007-01-27 11:08:03 EST
Module imported, added to owners.list, devel built, and FC[56] branches
requested.  Thanks again for the review!

Note You need to log in before you can comment on or make changes to this bug.